Program Dumpall;
{$I micrmlow}
{$I hprint}
const
  BasePort = $220;

var
Axis : word;
Parameter : word;
Data : longint;

procedure Startup;
begin
  Commandport := BasePort + CommandPortOffset;
  Dataport := BasePort + DataPortOffset;
end;

procedure TWriteParam(theaxis: byte;theparm: byte;thedata : longint);
var
foo : word;
loops : longint;
begin
  portw[DataPort] := word(thedata);
  portw[DataPort+2] := word(thedata shr 16);
  portw[CommandPort] := (theparm or WriteFlag) + (theaxis * 256);
  loops := 0;
  repeat
    foo := portw[CommandPort];
    loops := loops +1;
  until (foo and BusyMask = 0);
{  writeln('WPloops = ',loops)}
end;

function TReadParam(theaxis: byte;theparm: byte):longint;
var
foo : word;
rdata,loops : longint;
begin
  portw[CommandPort] := (theparm) + (theaxis * 256);
  loops := 0;
  repeat
    foo := portw[CommandPort];
    loops := loops +1;
  until (foo and BusyMask = 0);
  rdata := Portw[DataPort] + (portw[DataPort+2] * 65536);
  TReadParam :=rdata;
{  writeln('RPloops = ',loops)}
end;

procedure DumpLoop;
var
theaxis : word;
theparm: longint;
data : longint;
begin
  writeln;
  for theparm := 0 to 47 do
  begin
    write(theparm:2,':  ');
    begin
      for theaxis := 0 to 3 do
      begin
        data := TReadParam(theaxis,theparm);
        write(data:8,'     ');
      end;
      writeln;
    end;
  end;
end;

begin
  Startup;
  DumpLoop;
end.
