{ This replaces Turbo Pascals keypressed function   }
{ which requires the CRT unit... The CRT unit bombs }
{ when there is no video card in the system!        }
function KeyPressed : boolean;
var flag : boolean;
begin
  asm
    mov ah,01
    int $16
    mov flag,false
    jz @nokey
    mov flag,true
    @nokey:
  end;
  KeyPressed := flag;
end;

function ReadKey : word;
var kdat : word;
begin
  asm
    mov ah,00
    int $16
    mov kdat,ax
  end;
  ReadKey := kdat;
end;

function GetCPUType : string;
const
CPUIdentSeg = $FFF0;
CPUIdentOfs = $0000;
var
index : byte;
tempstr : string;
begin
  tempstr := '';
  index := 0;
  while mem[CPUIdentSeg:CPUIdentOfs+word(index)] <> 0 do
  begin
    tempstr := tempstr +char(mem[CPUIdentSeg:CPUIdentOfs+word(index)]);
    index := index +1;
  end;
  GetCPUType := tempstr;
end;

function GetBIOSRev : string;
const
BIOSRevSeg = $FFF0;
BIOSRevOfs = $12;
var
tempstr : string;
begin
  tempstr := '';
  tempstr := tempstr + char(mem[BIOSRevSeg:BIOSRevOfs+0]+$30);
  tempstr := tempstr + '.';
  tempstr := tempstr + char(mem[BIOSRevSeg:BIOSRevOfs+1]+$30);
  tempstr := tempstr + char(mem[BIOSRevSeg:BIOSRevOfs+2]+$61);
  GetBIOSRev := tempstr;
end;

procedure FixCRT;
{ Fix re-direction when using CRT unit }
begin
  assign(input,'');
  reset(input);
  assign(output,'');
  rewrite(output);
end;
