library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity byteiorb is
    Port (			
	 		obus: out STD_LOGIC_VECTOR (7 downto 0);
			readport: in STD_LOGIC;
			portdata: in STD_LOGIC_VECTOR (7 downto 0) );
end byteiorb;

architecture behavioral of byteiorb is

begin
	abyteiorb: process (portdata,readport)
	begin
		if readport = '1' then
			obus <= portdata;
 	   else
			obus <= "ZZZZZZZZ";
		end if;
	end process;

end behavioral;
