library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
-- 1 bit outout port...
entity goutport is
   port (
	clk: in STD_LOGIC;
	ibus0: in STD_LOGIC;
	loadgoutport: in STD_LOGIC;
	goutdata: out STD_LOGIC
	);
end goutport;

architecture behavioral of goutport is

signal gdata: STD_LOGIC;


begin
	agoutport: process(
							clk, 	 					
							ibus0,
							loadgoutport,
							gdata
							)
							
	begin
		if clk'event and clk = '1' then
			if (loadgoutport= '1') then 
 		  	 	gdata <=  ibus0;
			end if;	
		end if;
		goutdata <= gdata;
	end process;
end behavioral;
